Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class HypericOperatingSystem

    java.lang.Object
      org.hyperic.hq.product.HypericOperatingSystem

    public class HypericOperatingSystem

extends Object

Field Summary
`static boolean` | `IS_HYPER_V`
`static boolean` | `IS_WIN32`
`static String` | `NAME_HYPER_V_WIN32`
`static String[]` | `NAMES`
`static String[]` | `WIN32_NAMES`

Method Summary
`String` | `getArch()`
`String` | `getDescription()`
`static HypericOperatingSystem` | `getInstance()`
`String` | `getName()`
`String` | `getVendor()`
`String` | `getVendorVersion()`
`String` | `getVersion()`
`static boolean` | `isSupported(String name)`
`static boolean` | `isWin32(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_HYPER_V_WIN32

    public static final String NAME_HYPER_V_WIN32

See Also:
  Constant Field Values

### WIN32_NAMES

    public static final String[] WIN32_NAMES

### NAMES

    public static final String[] NAMES

### IS_WIN32

    public static final boolean IS_WIN32

### IS_HYPER_V

    public static final boolean IS_HYPER_V

Method Detail

### isSupported

    public static boolean isSupported(String name)

### isWin32

    public static boolean isWin32(String name)

### getInstance

    public static HypericOperatingSystem getInstance()

### getName

    public String getName()

### getDescription

    public String getDescription()

### getArch

    public String getArch()

### getVersion

    public String getVersion()

### getVendor

    public String getVendor()

### getVendorVersion

    public String getVendorVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.